.upcoming-auctions {
    color: #fff;
    background-color: var(--bg-color-1);
    padding: 2rem;
}
.upcoming-auctions .past-auctions {
    padding: 1rem;
    border: 2px solid #fff;
}
.upcoming-auctions a {
    color: #fff;
    transition: background-color 0.2s ease;
}
.upcoming-auctions .header {
    display: flex;
    justify-content: space-between;
    align-items: center;
    gap: 2rem;
    text-transform: uppercase;
}
.upcoming-auctions .header a:first-child {
    font-family: "Akshar", sans-serif;
    font-size: 3rem;
    text-align: center;
    text-transform: uppercase;
    text-decoration: underline;
}
.upcoming-auctions .header a:last-child:not(:first-child) {
    padding: 1rem;
    border: 2px solid #fff;
}
.upcoming-auctions .view-all, .upcoming-auctions .footer {
    display: none;
}
.upcoming-auctions .view-all, .upcoming-auctions .footer a {
    padding: 1rem;
    text-transform: uppercase;
    border: 3px solid #fff;
    border-radius: 10px;
}
.upcoming-auctions .footer {
    margin: 2rem 0;
    text-align: center;
}
.upcoming-auctions .footer a {
    display: inline-block;
}
.upcoming-auctions .auction:hover, 
.upcoming-auctions .past-auctions:hover,
.upcoming-auctions .view-all:hover, 
.upcoming-auctions .footer a:hover {
    background-color: var(--hover-color);
}



.auction-list {
    position: relative;
}
.auction-list .slide-auctions {
    display: none;
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    font-size: 5rem;
    opacity: .6;
    z-index: 1;
    transition: opacity 0.2s ease;
    cursor: pointer;
}
.auction-list .slide-auctions:hover {
    opacity: 0.8;
}
.auction-list .slide-auctions.active {
    display: block;
}
.auction-list .prev {
    left: 0;
}
.auction-list .next {
    right: 0;
}
.auction-list .prev i:last-child {
    margin-left: -2.8rem;
}
.auction-list .next i:last-child {
    margin-left: -2.8rem;
}
.auction-list .scroll {
    display: grid;
    grid-template-rows: 1fr 1fr;
    grid-auto-flow: column;
    grid-gap: 2rem 1rem;
    margin-top: 2rem;
    overflow-x: auto;
}
.auction-list .scroll::-webkit-scrollbar {
    display: none;
}

.auction {
    display: flex;
    align-items: center;
    min-width: 75vw;
    border: 2px solid #fff;
}
.auction .image {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 29rem;
    max-width: 100%;
    overflow: hidden;
}
.auction .image img {
    display: block;
    max-width: 100%;
    max-height: 20rem;
    transition: transform 0.2s ease;
}
.auction:hover .image img {
    transform: scale(1.015);
}
.auction .text {
    display: flex;
    flex-direction: column;
    gap: .5rem;
    width: 100%;
    height: 95%;
    padding: 1rem 2rem;
    margin: 0 0.5rem;
    background-color: #fff;
    color: #000;
    overflow-y: auto;
}
.auction .title {
    font-family: "Akshar", sans-serif;
    font-size: 1.25rem;
    font-weight: bold;
}
.auction .time {
    font-family: "Akshar", sans-serif;
    font-size: 1.25rem;
}
.auction p {
    font-size: .9rem;
}
.auction .more-details {
    text-align: center;
    font-family: "Akshar", sans-serif;
    font-size: 1.8rem;
    text-transform: uppercase;
    margin-top: .5rem;
}

@media (min-width: 1600px) {
    .auction {
        min-width: 75rem;
    }
}


@media (max-width: 992px) {

    .upcoming-auctions .header a:first-child {
        font-size: 2rem;
    }

    .auction .text {
        padding: 1rem 1.5rem;
    }
    .auction p {
        font-size: .8rem;
    }
    .auction .title, .auction .time {
        font-size: 1rem;
    }
    .auction .more-details {
        font-size: 1.5rem;
    }

}


@media (max-width: 768px) {

    .upcoming-auctions {
        padding: 2rem 1rem;
    }
    .upcoming-auctions .header {
        flex-direction: column;
        align-items: center;
        gap: 1rem;
    }
    .upcoming-auctions .header a:first-child {
        text-decoration: none;
    }
    .upcoming-auctions .header a:first-child[href] {
        pointer-events: none;
    }
    .upcoming-auctions .header .past-auctions {
        display: none;
    }

    .upcoming-auctions .view-all, .upcoming-auctions .footer {
        display: block;
    }
    .upcoming-auctions .view-all, .upcoming-auctions .footer a {
        padding: 1rem 2rem !important;
    }



    .auction-list .scroll {
        display: flex;
        flex-direction: column;
    }
    .auction-list .slide-auctions.active {
        display: none;
    }
    .auction {
        flex-direction: column;
        align-items: center;
        min-width: auto;
        text-align: center;
        width: 75%;
        max-width: 22rem;
        margin: 0 auto;
    }
    .auction:nth-child(n+5) {
        display: none;
    }
    .auction .image {
        padding: 0.5rem 0;
    }
    .auction .image img {
        width: auto;
        height: auto;
        max-width: 100%;
        max-height: 12rem;
    }
    .auction .text {
        max-height: 19rem;
    }
    .auction h3 {
        font-size: unset;
    }


}